QVBoxLayout(3qt)

NAME
QVBoxLayout - Lines up child widgets vertically

SYNOPSIS

#include <qlayout.h>

Inherits QBoxLayout.

  Public Members
QVBoxLayout ( QWidget * parent, int border=0, int autoBorder = -1, const char * name=0 )
QVBoxLayout ( int autoBorder = -1, const char * name=0 )
~QVBoxLayout ()

DESCRIPTION
The QVBoxLayout class lines up child widgets vertically.

This class provides an easier way to construct vertical box layout objects. See QBoxLayout for more details.

The simplest way to use this class is:

     QBoxLayout * l = new QVBoxLayout( widget );
     l->addWidget( aWidget );
     l->addWidget( anotherWidget );
     l->activate()

See also: QHBoxLayout and QGridLayout.

Examples: layout/layout.cpp widgets/widgets.cpp

MEMBER FUNCTION DOCUMENTATION

QVBoxLayout::QVBoxLayout ( QWidget * parent, int border=0, int autoBorder = -1, const char * name=0 )
Creates a new top-level vertical box.

QVBoxLayout::QVBoxLayout ( int autoBorder = -1, const char * name=0 )
Creates a new vertical box. You have to add it to another layout before using it.

QVBoxLayout::~QVBoxLayout ()
Destroys this box.

SEE ALSO
http://www.troll.no/qt/qvboxlayout.html

COPYRIGHT
Copyright 1992-1997 Troll Tech AS. See the LICENSE file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.